module LavinMQ
  VERSION = "1.1.0^2.g4f3c0be9"

  macro build_flags
    String.build do |flags|
      {% if flag?(:release) %}
        flags << "--release "
      {% end %}
      {% if flag?(:debug) %}
        flags << "--debug"
      {% else %}
        flags << "--no-debug"
      {% end %}
    end
  end

  BUILD_INFO = <<-INFO
    LavinMQ #{VERSION}
    #{Crystal::DESCRIPTION.lines.reject(&.empty?).join("\n")}
    Build flags: #{build_flags}
    INFO
end
